if hash brew 2>/dev/null ; then
    BREW_SSL_PREFIX_CACHE_FILE="${XDG_CACHE_HOME:-$HOME/.cache}/durin42-zsh/brew-openssl-prefix"
    if [ -e "$BREW_SSL_PREFIX_CACHE_FILE" ] ; then
        BREW_OPENSSL_PREFIX="$(cat $BREW_SSL_PREFIX_CACHE_FILE)"
    fi
    if [ -z "$BREW_OPENSSL_PREFIX" -o ! -d "$BREW_OPENSSL_PREFIX" ] ; then
        BREW_OPENSSL_PREFIX="$(brew --prefix openssl)"
        mkdir -p "$(dirname $BREW_SSL_PREFIX_CACHE_FILE)"
        echo "$BREW_OPENSSL_PREFIX" > "$BREW_SSL_PREFIX_CACHE_FILE"
    fi
    export OPENSSL_INCLUDE_DIR="${BREW_OPENSSL_PREFIX}/include"
    export OPENSSL_LIB_DIR="${BREW_OPENSSL_PREFIX}/lib"
    export DEP_OPENSSL_INCLUDE="${BREW_OPENSSL_PREFIX}/include"
fi
